package com.template.model.seewo;

import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 家长或老师发送留言给学生
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class HomeSchoolServiceSendNoteToKidRequest extends OpenApiRequest<HomeSchoolServiceSendNoteToKidParam, HomeSchoolServiceSendNoteToKidResult> {

    public HomeSchoolServiceSendNoteToKidRequest(HomeSchoolServiceSendNoteToKidParam param) {
        this();
        setBizModel(param);
    }

    public HomeSchoolServiceSendNoteToKidRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/home-school-service/send-note-to-kid");
        setHttpMethod("POST");
    }

    public Class<HomeSchoolServiceSendNoteToKidResult> getResponseClass() {
        return HomeSchoolServiceSendNoteToKidResult.class;
    }

    public Class<HomeSchoolServiceSendNoteToKidParam> getDomainClass() {
        return HomeSchoolServiceSendNoteToKidParam.class;
    }
}

